%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name regex-posix
%define f_pkg_name regex-posix
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.72.0.2
Release: alt3
License: BSD
Packager: Alex V. Myltsev <avm@altlinux.ru>
Group: Development/Haskell
URL: http://sourceforge.net/projects/lazy-regex
Source: regex-posix-0.72.0.2.tar.gz
Summary: Replaces/Enhances Text.Regex
BuildRequires: ghc haddock %hs_package_dependencies regex-base
BuildRequires(pre): rpm-build-haskell


%description
The posix regex backend for regex-base


%prep
%setup -n %h_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup %hs_configure --prefix=%_prefix --libdir=%_libdir --docdir=%_docdir/%hsc_namever-%f_pkg_name-%version --libsubdir='$compiler/lib/$pkgid' --disable-library-profiling --ghc
if runghc Setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
%hs_setup build
%hs_setup haddock || :
%hs_setup register --gen-pkg-config=%f_pkg_name.pkg


%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE




%changelog
* Sun Jan 13 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt3
- use package.conf.d.

* Sat Jan 12 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt2
- rebuild due to a bug in rpm-build-haskell

* Wed Jan 09 2008 Alex V. Myltsev <avm@altlinux.ru> 0.72.0.2-alt1
- spec file autogenerated by cabal-rpm
